<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdResultSet (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdResultSet (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdResultSet.html" target="_top">Frames</a></li>
<li><a href="FirebirdResultSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdResultSet" class="title">Interface FirebirdResultSet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FBResultSet.html" title="class in org.firebirdsql.jdbc">FBResultSet</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdResultSet</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></pre>
<div class="block">Firebird-specific extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> interface.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.ResultSet">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CLOSE_CURSORS_AT_COMMIT" title="class or interface in java.sql">CLOSE_CURSORS_AT_COMMIT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CONCUR_READ_ONLY" title="class or interface in java.sql">CONCUR_READ_ONLY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CONCUR_UPDATABLE" title="class or interface in java.sql">CONCUR_UPDATABLE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_FORWARD" title="class or interface in java.sql">FETCH_FORWARD</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_REVERSE" title="class or interface in java.sql">FETCH_REVERSE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_UNKNOWN" title="class or interface in java.sql">FETCH_UNKNOWN</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#HOLD_CURSORS_OVER_COMMIT" title="class or interface in java.sql">HOLD_CURSORS_OVER_COMMIT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_FORWARD_ONLY" title="class or interface in java.sql">TYPE_FORWARD_ONLY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_SCROLL_INSENSITIVE" title="class or interface in java.sql">TYPE_SCROLL_INSENSITIVE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_SCROLL_SENSITIVE" title="class or interface in java.sql">TYPE_SCROLL_SENSITIVE</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html#getExecutionPlan--">getExecutionPlan</a></span>()</code>
<div class="block">Get execution plan for the specified result set.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a></span>()</code>
<div class="block">Get detailed execution plan for the specified result set.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.ResultSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#absolute-int-" title="class or interface in java.sql">absolute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#afterLast--" title="class or interface in java.sql">afterLast</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#beforeFirst--" title="class or interface in java.sql">beforeFirst</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#cancelRowUpdates--" title="class or interface in java.sql">cancelRowUpdates</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#clearWarnings--" title="class or interface in java.sql">clearWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#close--" title="class or interface in java.sql">close</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#deleteRow--" title="class or interface in java.sql">deleteRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#findColumn-java.lang.String-" title="class or interface in java.sql">findColumn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#first--" title="class or interface in java.sql">first</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getArray-int-" title="class or interface in java.sql">getArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getArray-java.lang.String-" title="class or interface in java.sql">getArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getAsciiStream-int-" title="class or interface in java.sql">getAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getAsciiStream-java.lang.String-" title="class or interface in java.sql">getAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBigDecimal-int-" title="class or interface in java.sql">getBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBigDecimal-int-int-" title="class or interface in java.sql">getBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBigDecimal-java.lang.String-" title="class or interface in java.sql">getBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBigDecimal-java.lang.String-int-" title="class or interface in java.sql">getBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBinaryStream-int-" title="class or interface in java.sql">getBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBinaryStream-java.lang.String-" title="class or interface in java.sql">getBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBlob-int-" title="class or interface in java.sql">getBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBlob-java.lang.String-" title="class or interface in java.sql">getBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBoolean-int-" title="class or interface in java.sql">getBoolean</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBoolean-java.lang.String-" title="class or interface in java.sql">getBoolean</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getByte-int-" title="class or interface in java.sql">getByte</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getByte-java.lang.String-" title="class or interface in java.sql">getByte</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBytes-int-" title="class or interface in java.sql">getBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getBytes-java.lang.String-" title="class or interface in java.sql">getBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getCharacterStream-int-" title="class or interface in java.sql">getCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getCharacterStream-java.lang.String-" title="class or interface in java.sql">getCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getClob-int-" title="class or interface in java.sql">getClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getClob-java.lang.String-" title="class or interface in java.sql">getClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getConcurrency--" title="class or interface in java.sql">getConcurrency</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getCursorName--" title="class or interface in java.sql">getCursorName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDate-int-" title="class or interface in java.sql">getDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDate-int-java.util.Calendar-" title="class or interface in java.sql">getDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDate-java.lang.String-" title="class or interface in java.sql">getDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDate-java.lang.String-java.util.Calendar-" title="class or interface in java.sql">getDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDouble-int-" title="class or interface in java.sql">getDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getDouble-java.lang.String-" title="class or interface in java.sql">getDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getFetchDirection--" title="class or interface in java.sql">getFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getFetchSize--" title="class or interface in java.sql">getFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getFloat-int-" title="class or interface in java.sql">getFloat</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getFloat-java.lang.String-" title="class or interface in java.sql">getFloat</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getHoldability--" title="class or interface in java.sql">getHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getInt-int-" title="class or interface in java.sql">getInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getInt-java.lang.String-" title="class or interface in java.sql">getInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getLong-int-" title="class or interface in java.sql">getLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getLong-java.lang.String-" title="class or interface in java.sql">getLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getMetaData--" title="class or interface in java.sql">getMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNCharacterStream-int-" title="class or interface in java.sql">getNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNCharacterStream-java.lang.String-" title="class or interface in java.sql">getNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNClob-int-" title="class or interface in java.sql">getNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNClob-java.lang.String-" title="class or interface in java.sql">getNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNString-int-" title="class or interface in java.sql">getNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getNString-java.lang.String-" title="class or interface in java.sql">getNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.util.Map-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.util.Map-" title="class or interface in java.sql">getObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getRef-int-" title="class or interface in java.sql">getRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getRef-java.lang.String-" title="class or interface in java.sql">getRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getRow--" title="class or interface in java.sql">getRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getRowId-int-" title="class or interface in java.sql">getRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getRowId-java.lang.String-" title="class or interface in java.sql">getRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getShort-int-" title="class or interface in java.sql">getShort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getShort-java.lang.String-" title="class or interface in java.sql">getShort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getSQLXML-int-" title="class or interface in java.sql">getSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getSQLXML-java.lang.String-" title="class or interface in java.sql">getSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getStatement--" title="class or interface in java.sql">getStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getString-int-" title="class or interface in java.sql">getString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getString-java.lang.String-" title="class or interface in java.sql">getString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTime-int-" title="class or interface in java.sql">getTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTime-int-java.util.Calendar-" title="class or interface in java.sql">getTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTime-java.lang.String-" title="class or interface in java.sql">getTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTime-java.lang.String-java.util.Calendar-" title="class or interface in java.sql">getTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTimestamp-int-" title="class or interface in java.sql">getTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTimestamp-int-java.util.Calendar-" title="class or interface in java.sql">getTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTimestamp-java.lang.String-" title="class or interface in java.sql">getTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getTimestamp-java.lang.String-java.util.Calendar-" title="class or interface in java.sql">getTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getType--" title="class or interface in java.sql">getType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getUnicodeStream-int-" title="class or interface in java.sql">getUnicodeStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getUnicodeStream-java.lang.String-" title="class or interface in java.sql">getUnicodeStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getURL-int-" title="class or interface in java.sql">getURL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getURL-java.lang.String-" title="class or interface in java.sql">getURL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getWarnings--" title="class or interface in java.sql">getWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#insertRow--" title="class or interface in java.sql">insertRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#isAfterLast--" title="class or interface in java.sql">isAfterLast</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#isBeforeFirst--" title="class or interface in java.sql">isBeforeFirst</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#isClosed--" title="class or interface in java.sql">isClosed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#isFirst--" title="class or interface in java.sql">isFirst</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#isLast--" title="class or interface in java.sql">isLast</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#last--" title="class or interface in java.sql">last</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#moveToCurrentRow--" title="class or interface in java.sql">moveToCurrentRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#moveToInsertRow--" title="class or interface in java.sql">moveToInsertRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#next--" title="class or interface in java.sql">next</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#previous--" title="class or interface in java.sql">previous</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#refreshRow--" title="class or interface in java.sql">refreshRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#relative-int-" title="class or interface in java.sql">relative</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#rowDeleted--" title="class or interface in java.sql">rowDeleted</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#rowInserted--" title="class or interface in java.sql">rowInserted</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#rowUpdated--" title="class or interface in java.sql">rowUpdated</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#setFetchDirection-int-" title="class or interface in java.sql">setFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#setFetchSize-int-" title="class or interface in java.sql">setFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateArray-int-java.sql.Array-" title="class or interface in java.sql">updateArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateArray-java.lang.String-java.sql.Array-" title="class or interface in java.sql">updateArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-int-java.io.InputStream-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-int-java.io.InputStream-int-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-int-java.io.InputStream-long-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-java.lang.String-java.io.InputStream-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-java.lang.String-java.io.InputStream-int-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateAsciiStream-java.lang.String-java.io.InputStream-long-" title="class or interface in java.sql">updateAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBigDecimal-int-java.math.BigDecimal-" title="class or interface in java.sql">updateBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBigDecimal-java.lang.String-java.math.BigDecimal-" title="class or interface in java.sql">updateBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-int-java.io.InputStream-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-int-java.io.InputStream-int-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-int-java.io.InputStream-long-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-java.lang.String-java.io.InputStream-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-java.lang.String-java.io.InputStream-int-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBinaryStream-java.lang.String-java.io.InputStream-long-" title="class or interface in java.sql">updateBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-int-java.sql.Blob-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-int-java.io.InputStream-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-int-java.io.InputStream-long-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-java.lang.String-java.sql.Blob-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-java.lang.String-java.io.InputStream-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBlob-java.lang.String-java.io.InputStream-long-" title="class or interface in java.sql">updateBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBoolean-int-boolean-" title="class or interface in java.sql">updateBoolean</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBoolean-java.lang.String-boolean-" title="class or interface in java.sql">updateBoolean</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateByte-int-byte-" title="class or interface in java.sql">updateByte</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateByte-java.lang.String-byte-" title="class or interface in java.sql">updateByte</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBytes-int-byte:A-" title="class or interface in java.sql">updateBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateBytes-java.lang.String-byte:A-" title="class or interface in java.sql">updateBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-int-java.io.Reader-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-int-java.io.Reader-int-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-int-java.io.Reader-long-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-java.lang.String-java.io.Reader-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-java.lang.String-java.io.Reader-int-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateCharacterStream-java.lang.String-java.io.Reader-long-" title="class or interface in java.sql">updateCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-int-java.sql.Clob-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-int-java.io.Reader-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-int-java.io.Reader-long-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-java.lang.String-java.sql.Clob-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-java.lang.String-java.io.Reader-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateClob-java.lang.String-java.io.Reader-long-" title="class or interface in java.sql">updateClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateDate-int-java.sql.Date-" title="class or interface in java.sql">updateDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateDate-java.lang.String-java.sql.Date-" title="class or interface in java.sql">updateDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateDouble-int-double-" title="class or interface in java.sql">updateDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateDouble-java.lang.String-double-" title="class or interface in java.sql">updateDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateFloat-int-float-" title="class or interface in java.sql">updateFloat</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateFloat-java.lang.String-float-" title="class or interface in java.sql">updateFloat</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateInt-int-int-" title="class or interface in java.sql">updateInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateInt-java.lang.String-int-" title="class or interface in java.sql">updateInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateLong-int-long-" title="class or interface in java.sql">updateLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateLong-java.lang.String-long-" title="class or interface in java.sql">updateLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNCharacterStream-int-java.io.Reader-" title="class or interface in java.sql">updateNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNCharacterStream-int-java.io.Reader-long-" title="class or interface in java.sql">updateNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNCharacterStream-java.lang.String-java.io.Reader-" title="class or interface in java.sql">updateNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNCharacterStream-java.lang.String-java.io.Reader-long-" title="class or interface in java.sql">updateNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-int-java.sql.NClob-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-int-java.io.Reader-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-int-java.io.Reader-long-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-java.lang.String-java.sql.NClob-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-java.lang.String-java.io.Reader-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNClob-java.lang.String-java.io.Reader-long-" title="class or interface in java.sql">updateNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNString-int-java.lang.String-" title="class or interface in java.sql">updateNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNString-java.lang.String-java.lang.String-" title="class or interface in java.sql">updateNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNull-int-" title="class or interface in java.sql">updateNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateNull-java.lang.String-" title="class or interface in java.sql">updateNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-int-java.lang.Object-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-int-java.lang.Object-int-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-int-java.lang.Object-java.sql.SQLType-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-int-java.lang.Object-java.sql.SQLType-int-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-java.lang.String-java.lang.Object-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-java.lang.String-java.lang.Object-int-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-int-" title="class or interface in java.sql">updateObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateRef-int-java.sql.Ref-" title="class or interface in java.sql">updateRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateRef-java.lang.String-java.sql.Ref-" title="class or interface in java.sql">updateRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateRow--" title="class or interface in java.sql">updateRow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateRowId-int-java.sql.RowId-" title="class or interface in java.sql">updateRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateRowId-java.lang.String-java.sql.RowId-" title="class or interface in java.sql">updateRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateShort-int-short-" title="class or interface in java.sql">updateShort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateShort-java.lang.String-short-" title="class or interface in java.sql">updateShort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateSQLXML-int-java.sql.SQLXML-" title="class or interface in java.sql">updateSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateSQLXML-java.lang.String-java.sql.SQLXML-" title="class or interface in java.sql">updateSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateString-int-java.lang.String-" title="class or interface in java.sql">updateString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateString-java.lang.String-java.lang.String-" title="class or interface in java.sql">updateString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateTime-int-java.sql.Time-" title="class or interface in java.sql">updateTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateTime-java.lang.String-java.sql.Time-" title="class or interface in java.sql">updateTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateTimestamp-int-java.sql.Timestamp-" title="class or interface in java.sql">updateTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#updateTimestamp-java.lang.String-java.sql.Timestamp-" title="class or interface in java.sql">updateTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#wasNull--" title="class or interface in java.sql">wasNull</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExecutionPlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutionPlan</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExecutionPlan()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get execution plan for the specified result set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>execution plan for this query.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if execution plan cannot be obtained or this result
 set is already closed.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExecutionPlan--"><code>FirebirdPreparedStatement.getExecutionPlan()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExplainedExecutionPlan--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExplainedExecutionPlan</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExplainedExecutionPlan()
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get detailed execution plan for the specified result set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>detailed execution plan for this query.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if detailed execution plan cannot be obtained or this result
 set is already closed.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExplainedExecutionPlan--"><code>FirebirdPreparedStatement.getExplainedExecutionPlan()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdResultSet.html" target="_top">Frames</a></li>
<li><a href="FirebirdResultSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
